Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3220 - Cannot specify port numbers for mountd and nfsd
Summary: Cannot specify port numbers for mountd and nfsd
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: knfsd
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-02 20:40 UTC by keithu@parl.clemson.edu
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-03 13:58:44 UTC


Attachments (Terms of Use)

Description keithu@parl.clemson.edu 1999-06-02 20:40:43 UTC
In RH 5.2, we had the option of setting the port that mountd
and nfsd communicated on (in the user domain nfs server).
Is this option not available w/ the kernel server?  It
doesn't seem to be...  This is a real problem when you have
a firewall and a machine outside of the firewall that needs
to mount a file-system.

Oh, and is there a man page for the new mountd/nfsd?  Any
hope of getting one?

Comment 1 Jeff Johnson 1999-06-03 13:58:59 UTC
I've added "-p port" flags to mountd, nfsd already had.
Mountd will probably need something like "-N 1 -V2 -N3" to
register only a NFSv2 service on a specified port.

Fixed in knfsd-1.3.3-1.


Note You need to log in before you can comment on or make changes to this bug.